zip.so latest lampp version

Problems with the Linux version of XAMPP, questions, comments, and anything related.

zip.so latest lampp version

Postby heberv » 02. November 2012 17:23

Hi I need to install or compile the zip.so library for use it with Moodle.

Someone know how to do that?

Thank You.
heberv
 
Posts: 6
Joined: 09. October 2012 16:18
XAMPP Version: 5.6.3
Operating System: Linux Centos 6

Re: zip.so latest lampp version

Postby JonB » 04. November 2012 14:40

Hi -

I think you are going to find a problem getting that to work. I was unable to compile zip for 1.8.0. (I have not attempted it with 1.8.1) I think there is a problem with the zip source.

XAMPP/lampp 1.7.7 will work correctly with Moodle. It needs one compile/tweak that can be successfully compiled. The 'tweak' is not actually a 100% requirement for a single machine install, its a component for support of RPC's on a network (Remote Procedure Calls)

I have a post on this (and a working copy of Moodle to show for it)

viewtopic.php?f=17&t=51416

If you are going to use your server/workstation primarily for Moodle, I know of no reason to use the latest two XAMPP releases - they incorporate both new Apache and PHP major releases (often the source of bugs and incompatibilities)

see also:
viewtopic.php?f=17&t=51746


Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: zip.so latest lampp version

Postby heberv » 05. November 2012 14:18

I think the only solution is your 2nd link, reinstall version 1.7.7. Moodle need the zip.so module and is not available on the latest two 1.8.x versions.

Thanks for your answer.
heberv
 
Posts: 6
Joined: 09. October 2012 16:18
XAMPP Version: 5.6.3
Operating System: Linux Centos 6

Re: zip.so latest lampp version

Postby JonB » 05. November 2012 22:13

OK - Good luck

8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 7 guests